Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.metadata.citation
Interface CitationFactory

    public interface CitationFactory

A factory for metadata from the citation package. All factory methods accept null value for optional arguments. The value must be non-null for mandatory arguments.

Since:
  GeoAPI 2.0

Method Summary
`Address` | `createAddress(Collection<String> deliveryPoints, InternationalString city, InternationalString administrativeArea, String postalCode, InternationalString country, Collection<String> electronicMailAddresses)` Location of the responsible individual or organization.
`Contact` | `createContact(Telephone phone, Address address, OnLineResource onLineResource, InternationalString hoursOfService, InternationalString contactInstructions)` Information required to enable contact with the responsible person and/or organization.
`OnLineResource` | `createOnLineResource(URI linkage, String protocol, String applicationProfile, InternationalString description, OnLineFunction function)` Information about on-line sources from which the dataset, specification, or community profile name and extended metadata elements can be obtained.
`ResponsibleParty` | `createResponsibleParty(String individualName, InternationalString organisationName, InternationalString positionName, Contact contactInfo, Role role)` Identification of, and means of communication with, person(s) and organizations associated with the dataset.
`Telephone` | `createTelephone(String voice, String facsimile)` Telephone numbers for contacting the responsible individual or organization.

Method Detail

### createAddress

    Address createAddress(Collection<String> deliveryPoints,
                          InternationalString city,
                          InternationalString administrativeArea,
                          String postalCode,
                          InternationalString country,
                          Collection<String> electronicMailAddresses)

  Location of the responsible individual or organization.

  Parameters:
    `deliveryPoints` - Address line for the location (as described in ISO 11180, Annex A).
    `city` - The city of the location.
    `administrativeArea` - State, province of the location.
    `postalCode` - ZIP or other postal code.
    `country` - Country of the physical address.
    `electronicMailAddresses` - Address of the electronic mailbox of the responsible organization or individual.

### createContact

    Contact createContact(Telephone phone,
                          Address address,
                          OnLineResource onLineResource,
                          InternationalString hoursOfService,
                          InternationalString contactInstructions)

  Information required to enable contact with the responsible person and/or organization.

  Parameters:
    `phone` - Telephone numbers at which the organization or individual may be contacted.
    `address` - Physical and email address at which the organization or individual may be contacted.
    `onLineResource` - On-line information that can be used to contact the individual or organization.
    `hoursOfService` - Time period (including time zone) when individuals can contact the organization or individual.
    `contactInstructions` - Supplemental instructions on how or when to contact the individual or organization.

### createOnLineResource

    OnLineResource createOnLineResource(URI linkage,
                                        String protocol,
                                        String applicationProfile,
                                        InternationalString description,
                                        OnLineFunction function)

  Information about on-line sources from which the dataset, specification, or community profile name and extended metadata elements can be obtained.

  Parameters:
    `linkage` - Location (address) for on-line access.
    `protocol` - Connection protocol to be used.
    `applicationProfile` - Name of an application profile that can be used with the online resource.
    `description` - Detailed text description of what the online resource is/does.
    `function` - Code for function performed by the online resource.

### createResponsibleParty

    ResponsibleParty createResponsibleParty(String individualName,
                                            InternationalString organisationName,
                                            InternationalString positionName,
                                            Contact contactInfo,
                                            Role role)

  Identification of, and means of communication with, person(s) and organizations associated with the dataset. Only one of `individualName`, `organisationName` and `positionName` should be provided.

  Parameters:
    `individualName` - Name of the responsible person- surname, given name, title separated by a delimiter.
    `organisationName` - Name of the responsible organization.
    `positionName` - Role or position of the responsible person.
    `contactInfo` - Address of the responsible party.
    `role` - Function performed by the responsible party.

### createTelephone

    Telephone createTelephone(String voice,
                              String facsimile)

  Telephone numbers for contacting the responsible individual or organization.

  Parameters:
    `voice` - Telephone number by which individuals can speak to the responsible organization or individual.
    `facsimile` - Telephone number of a facsimile machine for the responsible organization or individual.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.